/**
 * ActMoodDefinition.java
 *
 * File generated from the medication::ActMoodDefinition uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodDefinition.
 *
 */

@XmlType(name = "ActMoodDefinition")
@XmlEnum
@XmlRootElement(name = "ActMoodDefinition")
public enum ActMoodDefinition {
	@XmlEnumValue("DEF")
	DEF("DEF");
	
	private final String value;

    ActMoodDefinition(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActMoodDefinition fromValue(String v) {
        for (ActMoodDefinition c: ActMoodDefinition.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}